Distributed Virtual Switch Manager Query Dvs Feature Capability

Distributed Virtual Switch Manager Query Dvs Feature Capability
This operation indicates which version-specific DVS features are available for the given DistributedVirtualSwitch product specification.

This operation indicates which version-specific DVS features are available for the given DistributedVirtualSwitch product specification.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/QueryDvsFeatureCapability
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DistributedVirtualSwitchManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryDvsFeatureCapabilityRequestType of type(s) application/json
Optional
{
    "switchProductSpec": {
        "_typeName": "string",
        "name": "string",
        "vendor": "string",
        "version": "string",
        "build": "string",
        "forwardingClass": "string",
        "bundleId": "string",
        "bundleUrl": "string"
    }
}
switchProductSpec
Optional

The productSpec of a DistributedVirtualSwitch. If not set, it is assumed to be the default one used for DistributedVirtualSwitch creation.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "_typeName": "string",
    "networkResourceManagementSupported": false,
    "vmDirectPathGen2Supported": false,
    "nicTeamingPolicy": [
        "string"
    ],
    "networkResourcePoolHighShareValue": 0,
    "networkResourceManagementCapability": {
        "_typeName": "string",
        "networkResourceManagementSupported": false,
        "networkResourcePoolHighShareValue": 0,
        "qosSupported": false,
        "userDefinedNetworkResourcePoolsSupported": false,
        "networkResourceControlVersion3Supported": false,
        "userDefinedInfraTrafficPoolSupported": false
    },
    "healthCheckCapability": {
        "_typeName": "string"
    },
    "rollbackCapability": {
        "_typeName": "string",
        "rollbackSupported": false
    },
    "backupRestoreCapability": {
        "_typeName": "string",
        "backupRestoreSupported": false
    },
    "networkFilterSupported": false,
    "macLearningSupported": false
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/QueryDvsFeatureCapability